# Generated from alphasign-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name alphasign

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: A gem for communicating with LED signs using Alpha Sign Protocol
License: MIT
URL: http://github.com/jon-proulx/alphasign
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Alphasign is handles communication with LED signs using the
Alpha Sign Protocol. These include Alpha signs and Betabrite signs
by Adaptive Micro Systems, maybe others too, YMMV.
This release handles writing "text files" and "string" files to the
sign over rs232 serial port, using a fixed memory configuration.  Upcoming
releases will add "dots picture" files and memory user accesable memory 
file configuration.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/ACKNOWLEDGEMENTS
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/alphasign.gemspec
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.3.1-1
- Initial package
